Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.jce.provider.test
Class IESTest

    java.lang.Object
      org.bouncycastle.util.test.SimpleTest
          org.bouncycastle.jce.provider.test.IESTest

All Implemented Interfaces:
  Test

    public class IESTest

extends SimpleTest

test for ECIES - Elliptic Curve Integrated Encryption Scheme

Method Summary
`void` `doDefTest(java.security.KeyPairGenerator g, javax.crypto.Cipher c1, javax.crypto.Cipher c2)`
`void` `doTest(java.security.KeyPairGenerator g, javax.crypto.Cipher c1, javax.crypto.Cipher c2)`
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`

Methods inherited from class org.bouncycastle.util.test.SimpleTest
`areEqual, fail, fail, fail, perform, runTest, runTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Test`
  Specified by:
    `getName` in class `SimpleTest`

### performTest

    public void performTest()
                     throws java.lang.Exception

  Specified by:
    `performTest` in class `SimpleTest`
  Throws:
    `java.lang.Exception`

### doTest

    public void doTest(java.security.KeyPairGenerator g,
                       javax.crypto.Cipher c1,
                       javax.crypto.Cipher c2)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### doDefTest

    public void doDefTest(java.security.KeyPairGenerator g,
                          javax.crypto.Cipher c1,
                          javax.crypto.Cipher c2)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Bouncy Castle Cryptography Library 1.40